:root{ 
--text-dark: #11030f;
--royal-purple:#870d6b;
--accent-teal:#58875a;
--primary-gold: #cdd43bec;
--warm-gray: #6f6c6ceb;
--light-cream:#ece0e0;
--transition: all 0.4s cubic-bezier(0.25, 0.46, 0.45, 0.94) ;
--marine: #86fbf1dd;
--bronze: #f0cb138a;
--color: #6d4766;
--goldish: #cbae6e;
}
*{
    margin: 0;
    padding: 0;
    box-sizing:border-box;
}
body{
    color: var(--text-dark);
    background-color: var(--goldish);
    font-family: Verdana;
    line-height: 1.6;
    overflow-x: hidden;
    position: relative;
}

.header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding:1.5rem 5%;
    background: var(--warm-gray);
    backdrop-filter: blur(20px);
    position:sticky;
    top:0;
    z-index: 100;
    border-bottom: 1px solid rgb(53, 119, 134);
}
.logo{
    font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: clamp(1.5rem, 3vw, 2.5rem);
    font-weight: 700;
    color: var(--text-dark);
}
.logo span{
color: var(--royal-purple);
}
.nav a{
    text-decoration: wavy;
    color: var(--text-dark);
    margin-right: 1rem;
    font-weight: 500;
    transition: var(--transition);
    background: var(--marine);
    padding: 0.1rem 0.9rem;
    border-radius: 10px;
}
.nav a:hover{
    background: var(--accent-teal);
    color: var(--bronze);
    box-shadow: 0 10px 20px #5e4e51;
    transform: translateY(-2px)
}
.btn-primary{
    background: var(--accent-teal);
    color: var(--primary-gold) !important; 
    padding: 0.6rem 1.5rem;
    border-radius: 50px;
    transition: var(--transition);
}
.btn-primary:hover{
    background: var(--bronze);
    transform: translateY(-2px);
    box-shadow: 0 10px 20px #5e4e51;
}
.hero{
    position: relative;
    min-height: 60vh;
    background: linear-gradient( rgba(0, 0, 0,0.6)), url("videos/vid.mp4") ;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 50px 5%;
}
.hero-video{
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    transform: translate(-50%, -50%);
    object-fit: cover;
    z-index: 0;
}
.Overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.4);
    z-index: 1;
}
.hero-text{
    position: relative;
    z-index: 2;
    margin-left: auto;
    margin-right: auto;
}
.hero-content{
    max-width: 3000px;
}
.tagline{
    display: inline-flex;
    background: #ca9fca ;
    color: var(--accent-teal);
    padding: 0.4rem 1rem;
    border-radius: 100px;
    font-size: 1.0rem;
    font-weight: 1000;
    margin-bottom: 2rem;
    letter-spacing: 1px;
    text-transform: uppercase;
}
.hero h1{
    font-family: 'Playfair Display', Lucida;
    font-size: clamp(2rem, 5vw, 3.5rem);
    line-height: 5.0rem;
    color: var(--marine);
    margin-bottom: 1.5rem;
}
.hero p{
    font-size: clamp(1rem, 2vw, 1.2rem);
    color: var(--light-cream);
    margin-bottom: 2.5rem;
    max-width: 600px;
    margin-left: auto;
    margin-right: auto;
}
.gallery-section{
    padding: 4rem 5%;
}
.section-header{
    text-align: center;
    margin-bottom: 3rem;
}
.section-header h2{
    font-family: 'Playfair Display', lucida;
    font-size: clamp(2rem, 4vw, 3rem);
    color: var(--royal-purple);
    margin-bottom: 0.4rem;
}
.section-header p{
    color: #131376ba;
}
#gallery{
    padding: 50px;
    text-align: center;
}
.gallery-container{
    margin-top: 30px;
    display: grid;
    gap: 100px;
    grid-template-columns:repeat(auto-fit,minmax(250px,3fr));
}
.gallery-grid{
    margin-top: 10px;
    display:flex;
    grid-template-columns:repeat(auto-fit, minmax(280px,1fr));
    gap: 10px;
}
.Gallery-item{
    border-radius: 10px;
    border: 3px solid #eee;
    transition: 0.4s;
    text-align: center;
    width: 100%;
    height: 300px;
    object-fit: contain;
    background: var(--light-cream);
    transition: var(--transition);
    box-shadow: 0 5px 15px var(--warm-gray);
}
.Gallery-item:hover{
  transform: scale(1.05);
    box-shadow: 0 10px 20px #b87858;  
}
.Gallery-item img{
    width: 100%;
    border-radius: 12px;
    max-width: 500px;
     height:100%;
    display: block;
    object-fit: fill;
    transition: transform 0.6s cubic-bezier(0.2, 0.32, 0.30, 0.58);

}
.gallery-item{
    border-radius: 10px;
    overflow: hidden;
    text-align: center;
    justify-content: center;
    align-items: center;
    width: 100%;
    max-width: 500px;
    height: auto;
    object-fit: cover;
    background: var(--light-cream);
    transition: var(--transition);
    box-shadow: var(--warm-gray);
}
.gallery-item:hover{
    transform: translateY(-10px);
    box-shadow:#7f9845;
}
.image-wrapper{
    position: relative;
    overflow: hidden;
    width: auto;
    height: 600px;
}
.image-wrapper img{
    width: 500px;
    height:auto;
    display: block;
    object-fit: cover;
    transition: transform 0.6s cubic-bezier(0.2, 0.32, 0.30, 0.58);
}
.gallery-item:hover .image-wrapper img{
    transform: scale(1.1);
}
.overlay{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: #bfc88b;
    backdrop-filter: blur(8px);
    padding: 5rem;
    transform: translateY(100%);
    transition: var(--transition);
    border-top: 2px solid var(--accent-teal);
}
.gallery-item:hover .overlay{
    transform:translateY(0)
}
.overlay h3{
    font-family: 'Playfair Display', serif;
    font-size: 1.5rem;
    color: #3789d6;
    margin-bottom: 0.5rem;
}
.overlay ul{
    font-size: 0.95rem;
    color: #89587d;
}
.footer{
    background: var(--accent-teal);
    color: rgba(255,255,255,0.6);
    padding: 2rem 5%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 1.0rem;
}
.footer p{
    color: rgba(255,255,255,0.6);
    font-family: 'Playfair Display', 'Gill Sans';
    font-size: 1.2rem;
}
.social-links a{
    color: var(--marine);
    text-decoration: none;
    margin-left: 1.5rem;
    transition: var(--transition);
}
.social-links a:hover{
    color: var(--bronze);
}
h2{
    font-family: 'Playfair Display', lucida;
    color: var(--royal-purple);
    text-align: center;
    font-size: clamp(2rem, 4vw, 3rem);
}
p{
    font-family: 'Playfair Display', Georgia;
    color: var(--light-cream);
    text-align: center;
    font-size: 1.5rem;
}
h4{
    font-family: 'Playfair Display' Helvetica;
    color: #61420d;
    padding: 30px;
    font-size: 1.5rem;
    margin-top: 40px;
    margin-bottom: 15px;
    text-transform: uppercase;
    letter-spacing: 2px;
    border-bottom: 3px solid #ff6b35;
    padding-bottom: 8px;
    display: inline-block;
}
h4+ul{
    list-style: none;
    padding-left: 0;
    max-width: 500px;
    border-radius: 12px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
    padding: 20px;
    margin-top: 0;
}
h4.Foods+ul{
    background-image: url(images/images\ \(4\).jpg);
    background-repeat: no-repeat;
    background-size: cover;
}
h4.Drinks+ul{
    background-image: url(images/champagne.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}
h4.Beverages+ul{
    background-image: url(images/image1.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}
h4.Snacks+ul{
    background-image: url(images/pizza.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}
h4+ul li{
    display: flex;
    justify-content: space-between;
    padding: 10px 0;
    border-bottom: 1px dashed #ddd;
    font-size: 1.1rem;
}
h4+ul li:last-child{
    border-bottom: none;
}
h4+ul li span{
    font-weight: bold;
    color: #2d6a4f;
}
h4+ul li:hover{
    background: #ab968b;
    border-radius: 6px;
    padding-left: 10px;
    transition: 0.3s;
}
.menu-category{
    display: flex;
    align-items:center;
    gap: 30px;
    background: #ffc039;
    width: 100%;
    max-width: 900px;
    margin: auto;
    border-radius: 12px;
    box-shadow: 0 4px 20px rgba(0,0,0,0.2);
    padding: 30px;
}
.menu-text{
    flex: 1;
}
@media (max-width:700px){
  .menu-category{
    flex-direction: column;
    text-align: center;
    font-size: 1rem;
    gap: 10px;
  }
  .menu-category img{
    width: 100%;
    height: 220px;
    order: -1;
    
  }
  .header{
        flex-direction: column;
        gap: 15px;
    }

    .nav{
        display: flex;
        flex-wrap: wrap;
        justify-content: left;
        font-size: 0.7rem;
        border-radius: 3px;
    }

    .hero h1{
        font-size: 2rem;
        line-height: 2.5rem;
        text-align: center;
    }

    .gallery-grid{
        flex-direction: column;
        align-items: center;
    }

    .gallery-item{
        width: 90%;
        height: auto;
    }

    .image-wrapper img{
        width: 100%;
        height: auto;
    }

    .contact-container{
        flex-direction: column;
    }

    .contact-form input,
    .contact-form textarea{
        width: 50%;
        justify-content: left;
    }

    .footer{
        flex-direction: column;
        text-align: center;
        gap: 15px;
    }
}
.menu-category img{
    width: 280px;
    height: 280px;
    object-fit: cover;
    border-radius: 12px;
    flex-shrink: 0;
}
.menu-list{
    list-style: none;
    padding: 0;
    margin: 15px 0 0 0;
}
.menu-category ul{
    color: var(--light-cream);
    font-family: 'Playfair Display', Georgia;
    font-size: 1.2rem;
    padding: 50px;
    
}
* h5{
  font-family: 'Playfair Display', lucida;
    color: var(--royal-purple);
    font-size: clamp(2rem, 4vw, 3rem);
}
#contacts{
    padding: 5px;
    background: #c39d8ef3;
}
.contact-container{
    display: flex;
    gap: 30px;
    margin-top: 30px;
}
.contact-info,
.contact-form{
    flex: 1;
}
.contact-form input,
.contact-form textarea{
    width: 100%;
    max-width: 500px;
    padding: 12px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 10px;
}
.contact-form button{
    background: #8b0000;
    color: white;
    border: none;
    padding: 12px 25px;
    cursor: pointer;
    border-radius: 3px;
}
.contact-form button:hover{
    background: #b17608;
    transition: var(--transition);
    transform: translateY(2px);
}

